# Duende.IdentityServer
_The most flexible and standards-compliant OpenID Connect and OAuth 2.x framework for ASP.NET Core._

## Overview

Duende IdentityServer is a highly extensible, standards-compliant framework for implementing the OpenID Connect and OAuth 2.x protocols in ASP.NET Core. It offers deep flexibility for handling authentication, authorization, and token issuance and can be adapted to fit complex custom security scenarios.

## Getting Started
If you're ready to dive into development, check out our [Quickstart Tutorial Series](https://docs.duendesoftware.com/identityserver/v7/quickstarts/) for step-by-step guidance.

For more in-depth documentation, visit [our documentation portal](https://docs.duendesoftware.com).

## Licensing
Duende IdentityServer is source-available, but requires a paid [license](https://duendesoftware.com/products/identityserver) for production use.

- **Development and Testing**: You are free to use and explore the code for development, testing, or personal projects without a license.
- **Production**: A license is required for production environments. 
- **Free Community Edition**: A free Community Edition license is available for qualifying companies and non-profit organizations. Learn more [here](https://duendesoftware.com/products/communityedition).

## Reporting Issues and Getting Support
- For bug reports or feature requests, open an issue on GitHub: [Submit an Issue](https://github.com/DuendeSoftware/Support/issues/new/choose).
- For security-related concerns, please contact us privately at: **security@duendesoftware.com**.

## Related Packages
- [Duende.IdentityServer.EntityFramework](https://www.nuget.org/packages/Duende.IdentityServer.EntityFramework.Storage): OAuth and OpenId Connect framework with Entity Framework based persistence.
- [Duende.IdentityServer.AspNetIdentity](https://www.nuget.org/packages/Duende.IdentityServer.AspNetIdentity): Integration between ASP.NET Core Identity and IdentityServer.
- [Duende.IdentityServer.Configuration](https://www.nuget.org/packages/Duende.IdentityServer.Configuration): Configuration API for IdentityServer with in-memory or customizable persistence.
- [Duende.IdentityServer.Configuration.EntityFramework](https://www.nuget.org/packages/Duende.IdentityServer.Configuration.EntityFramework): Configuration API for IdentityServer with Entity Framework based persistence.
- [Duende.IdentityServer.Storage](https://www.nuget.org/packages/Duende.IdentityServer.Storage): Support package containing models and interfaces for the persistence layer of IdentityServer.
- [Duende.IdentityServer.EntityFramework.Storage](https://www.nuget.org/packages/Duende.IdentityServer.EntityFramework.Storage): Support package containing an implementation of the persistence layer of IdentityServer implemented with Entity Framework.
